### Function

# Gcr CertificateRequest prepare

#### Declaration [src]

    GcrCertificateRequest*
    gcr_certificate_request_prepare (
      GcrCertificateRequestFormat format,
      GckObject* private_key
    )

#### Description [src]

Create a new certificate request, in the given format for the private key.

#### Parameters

`format` | `GcrCertificateRequestFormat`
| The format for the certificate request.
`private_key` | `GckObject`
| The private key the the certificate is being requested for.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GcrCertificateRequest`
| A new `GcrCertificate` request.
| The caller of the function takes ownership of the data, and is responsible for freeing it.